Bug 75298 - QuerySelector should not have side effect.
Summary: QuerySelector should not have side effect.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-28 01:19 PST by Shinya Kawanaka
Modified: 2012-01-11 23:07 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.70 KB, patch)
2011-12-28 01:24 PST, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinya Kawanaka 2011-12-28 01:19:54 PST
Currently QuerySelector seems to have side effect that parentStyle's flags are set if some pseudo type (e.g. first-of-type) was used to query.
Comment 1 Shinya Kawanaka 2011-12-28 01:24:35 PST
Created attachment 120643 [details]
Patch
Comment 2 Andreas Kling 2011-12-28 09:15:52 PST
Comment on attachment 120643 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=120643&action=review

> Source/WebCore/ChangeLog:11
> +        No new tests. Covered by existing tests.

If this is covered by existing tests, why aren't you unskipping something that used to fail?
Comment 3 Antti Koivisto 2011-12-30 06:23:00 PST
(In reply to comment #2)
> If this is covered by existing tests, why aren't you unskipping something that used to fail?

The flags that these end up setting affect style recalc performance optimizations and are not easily testable. Selector queries itself should should have reasonable coverage.
Comment 4 WebKit Review Bot 2012-01-11 23:07:30 PST
Comment on attachment 120643 [details]
Patch

Clearing flags on attachment: 120643

Committed r104793: <http://trac.webkit.org/changeset/104793>
Comment 5 WebKit Review Bot 2012-01-11 23:07:35 PST
All reviewed patches have been landed.  Closing bug.